
Foreman - Bug #11912

Remove deprecated assert_present assert_blank

09/22/2015 07:26 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Tests   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2751

  

Description

Rails 4.1 deprecates assert_present and assert_blank as per http://guides.rubyonrails.org/4_1_release_notes.html . We don't use

these extensively, so we can afford to remove them and use the recommended assert object.present? and assert object.blank?

Related issues:

Related to Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

Associated revisions

Revision 720c2d7f - 09/24/2015 03:16 AM - Daniel Lobato Garcia

Fixes #11912 - Remove deprecated assert_present assert_blank

Rails 4.1 deprecates assert_present and assert_blank as per

http://guides.rubyonrails.org/4_1_release_notes.html . We don't use

these extensively, so we can afford to remove them and use the

recommended assert object.present? and assert object.blank?

Merging this won't introduce any failures on Rails 3 and it will reduce

the diff between the develop and rails 4 branches

History

#1 - 09/22/2015 07:27 AM - Daniel Lobato Garcia

- Related to Tracker #3157: Rails 4.1 upgrade tasks added

#2 - 09/22/2015 07:29 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2751 added

- Pull request deleted ()

#3 - 09/24/2015 03:16 AM - Dominic Cleal

- Category set to Tests

- Assignee set to Daniel Lobato Garcia

- translation missing: en.field_release set to 63

#4 - 09/24/2015 04:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 720c2d7f3590d06e2d30ad2f69d76f55632eadc8.
